Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 469895 - Review Request: ktable - Custom SWT Table Widget for Java
Summary: Review Request: ktable - Custom SWT Table Widget for Java
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-11-04 16:42 UTC by Mary Ellen Foster
Modified: 2010-01-25 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-25 22:51:10 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2008-11-04 16:42:52 UTC
Spec URL: http://mef.fedorapeople.org/packages/java-libraries/ktable.spec
SRPM URL: http://mef.fedorapeople.org/packages/java-libraries/ktable-2.1.3-1.20081104cvs.src.rpm

Description:
KTable is a custom SWT table widget that provides a flexible grid of cells
to display data. Since it is custom-drawn, it does not have the
restrictions of the native SWT Table control.

The ktable website only provides compiled tarballs for download, so this is based on a CVS snapshot. The project seems to be mostly dead, but it's an indirect dependency of JabRef (my ultimate goal) so I'm proposing it for inclusion anyway.

Comment 1 Mary Ellen Foster 2008-11-05 12:48:09 UTC
Updated spec, now builds properly in mock and is rpmlint clean.

http://mef.fedorapeople.org/packages/java-libraries/ktable.spec
http://mef.fedorapeople.org/packages/java-libraries/ktable-2.1.3-2.20081104cvs.src.rpm

Comment 4 Mary Ellen Foster 2008-12-09 16:38:45 UTC
Oops, the URL was wrong in the previous message. Note that I've also changed to used the latest greatest BuildRoot.

http://mef.fedorapeople.org/packages/java-libraries/ktable.spec
http://mef.fedorapeople.org/packages/java-libraries/ktable-2.1.3-4.20081104cvs.fc10.src.rpm

Comment 5 Jason Tibbitts 2009-09-24 17:28:04 UTC
Just going over some old review tickets and I note that this one fails to build.  A scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=1704262

If you still wish to submit this package, please fix it up so that it builds and clear the whiteboard.

Comment 6 Jason Tibbitts 2010-01-25 22:51:10 UTC
This hasn't built for four months now.  Closing.


Note You need to log in before you can comment on or make changes to this bug.